Contact Activities
Update a contact activity
PUT
/
v1
/
contacts
/
{contact}
/
activities
/
{activity}
Update a contact activity
curl --request PUT \
--url https://api.givebutter.com/v1/contacts/{contact}/activities/{activity} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.givebutter.com/v1/contacts/{contact}/activities/{activity}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.givebutter.com/v1/contacts/{contact}/activities/{activity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "<string>",
"source": "<string>",
"data": "<string>",
"resource": {
"id": "<string>",
"plan_id": "<string>",
"pledge_id": "<string>",
"amount": 123,
"fee": 123,
"fee_covered": 123,
"donated": 123,
"payout": 123,
"captured": "<string>",
"captured_at": "<string>",
"timezone": "<string>",
"refunded": "<string>",
"refunded_at": "<string>",
"line_items": [
{
"type": "<string>",
"subtype": "<string>",
"description": "<string>",
"quantity": 123,
"price": 123,
"discount": 123,
"total": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"fair_market_value_amount": "<string>",
"tax_deductible_amount": "<string>",
"is_recurring": "<string>"
},
"occurred_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"created_by": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
ContactActivityResource
- TransactionResource
- TransactionResource
- Option 3
- RecurringPlanResource
- TicketResource
- MessageResource
Show child attributes
Show child attributes
Available options:
transaction, plan, ticket, message, mail_piece, soft_credit, subscription_log, null Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a contact activity
